> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt. # List WhatsApp accounts GET https://api.elevenlabs.io/v1/convai/whatsapp-accounts List all WhatsApp accounts Reference: https://elevenlabs.io/docs/api-reference/integrations/whats-app/accounts/list ## Servers - `https://api.elevenlabs.io` (Production, default) - `https://api.us.elevenlabs.io` (Production US) - `https://api.eu.residency.elevenlabs.io` (Production EU) - `https://api.in.residency.elevenlabs.io` (Production India) - `https://api.sg.residency.elevenlabs.io` (Production Singapore) ## Request ### Query parameters - `agent_id` (string, optional, nullable) — Filter by assigned agent ID ## Response ### 200 Successful Response - `items` (list of GetWhatsAppAccountResponse, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### GetWhatsAppAccountResponse - `business_account_id` (string, required) - `phone_number_id` (string, required) - `business_account_name` (string, required) - `phone_number_name` (string, required) - `phone_number` (string, required) - `assigned_agent_name` (string, required, nullable) - `account_type` (enum, optional, default: cloud_api) — Which Embedded Signup flow produced this account. - Allowed values: `cloud_api`, `coexistence` - `assigned_agent_id` (string, optional, nullable) - `enable_messaging` (boolean, optional, default: true) - `enable_audio_message_response` (boolean, optional, default: true) - `enable_typing_indicator` (boolean, optional, default: true) - `is_token_expired` (boolean, optional, default: false) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "items": [ { "business_account_id": "string", "phone_number_id": "string", "business_account_name": "string", "phone_number_name": "string", "phone_number": "string", "assigned_agent_name": "string", "account_type": "cloud_api", "assigned_agent_id": "string", "enable_messaging": true, "enable_audio_message_response": true, "enable_typing_indicator": true, "is_token_expired": false } ] } ``` **SDK Code** ```python import requests url = "https://api.elevenlabs.io/v1/convai/whatsapp-accounts" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.elevenlabs.io/v1/convai/whatsapp-accounts'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.elevenlabs.io/v1/convai/whatsapp-accounts" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.elevenlabs.io/v1/convai/whatsapp-accounts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.elevenlabs.io/v1/convai/whatsapp-accounts") .asString(); ``` ```php request('GET', 'https://api.elevenlabs.io/v1/convai/whatsapp-accounts'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.elevenlabs.io/v1/convai/whatsapp-accounts"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/whatsapp-accounts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > ElevenLabs provides APIs and SDKs for text to speech, voice cloning, speech to text, sound effects, voice isolator, voice changer, and conversational AI agents. Build voice-enabled applications with lifelike audio generation.